﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace PanelBars
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            PopulateRadPanelBars();
        }

        private void PopulateRadPanelBars()
        {
            for (int i = 0; i < 6; i++)
            {
                RadPanelBarItem item = new RadPanelBarItem()
                {
                    Header = "Item" + i,
                };
                item.Items.Add(new Rectangle() { Width = 100, Height = 100, Fill = new SolidColorBrush() { Color = Colors.Blue } });
                this.radPanelBar1.Items.Add(item);

                item = new RadPanelBarItem()
                {
                    Header = "Item" + i,
                };
                item.Items.Add(new Rectangle() { Width = 100, Height = 100, Fill = new SolidColorBrush() { Color = Colors.Blue } });
                this.radPanelBar2.Items.Add(item);

                item = new RadPanelBarItem()
                {
                    Header = "Item" + i,
                };
                item.Items.Add(new Rectangle() { Width = 100, Height = 100, Fill = new SolidColorBrush() { Color = Colors.Blue } });
                this.radPanelBar3.Items.Add(item);

                item = new RadPanelBarItem()
                {
                    Header = "Item" + i,
                };
                item.Items.Add(new Rectangle() { Width = 100, Height = 100, Fill = new SolidColorBrush() { Color = Colors.Blue } });
                this.radPanelBar4.Items.Add(item);
            }
        }

        private IEnumerable<string> GetSampleListData()
        {
            return Enumerable.Range(0, 6).Select(x => "Item" + x);
        }
    }
}
